Subject: Re: [MEDIACTRL] Re: Requirements Comment

From: Eric Burger <[email-masked]>
Date: Thu, 22 Mar 2007 00:18:54 +0100

Inline.

On 3/21/07 7:41 PM, "Diego B" <[email-masked]> wrote:

> Pls see inline
> 
> Thanks
> Diego B
> 
> 
> Eric Burger wrote:
>> Nope, RTP is the only transport to be supported.  MSRP relays are
>> fundamentally different from Media Servers.  Again, the media server needs
>> to give an application-level representation of the leg, but most likely
>> (i.e., not bloody likely) not the RTP IP address / port number.
>>  
> [DB] Any other thought ?
> To implement a voice/video and text conference based on MSRP, the
> Application Server will have to deal with two different systems ?
> one the Media Server and  the MSRP ?

Even if on the same physical media server, the protocols are so different
that yes, one would be dealing with a media server and a msrp relay, anyway.

>> IVR: recording, yes.  Internal storage: probably to a URI;
>> implementation-specific if the media server supports file: (which might
>> resolve to NFS, anyway).
>>  
> [DB]Yes, that was my point, recording to an internal ( file uri that can
> be nfs or an iscsi mounted device) or external ( http / ftp uri )

The important point is all we specify is a URI.  We remain silent on
local/remote, as that is an implementation issue.

>> IVR Mixing: that's the definition of conferencing, so that is not in the IVR
>> world.
>>  
> [DB] The mixing part was related to the recording. One thing is to
> record a stream ( for voicemail, announcement to a conference ) and
> another thing is to
> record a conversation ( mixing both streams and create a single file ),
> if this is related to conference ? I dont know
> there are other applications that will need this feature without
> creating a conference room for that.
> I agree that a conference application may want to record the session.

Do not confuse the conference service with a conference application or
conference room.  The conference service really is simply a mixing service.
The high-level semantics are not there.

>> Transcoding: I guess we always assumed that "just happens."  Probably should
>> mention it, anyway.
>> 
>>  
> [DB] Session relay ( or media relay ) is another topic not discussed in
> the requirements.

Media relay is simply an optimization of a conference.  Do you see other
requirements?

>> On 3/21/07 4:12 PM, "Diego B" <[email-masked]> wrote:
>> 
>>  
>>> Hi;
>>> In general requirements item 7
>>>    
>>>> 7. The MS shall supply the media addresses (RTP transport address)
>>>> to be used to the AS
>>>>      
>>> I hope RTP is given as an example and not the only transport to be
>>> supported.
>>> For example MSRP can be another transport to be supported.
>>> 
>>> In IVR requirement, why there is no requirements for recording a session
>>> (to an external or internal storage), or a mix of sessions ?
>>> There is also no requirements for transcoding or session rely
>>> 
>>> Regards
>>> Diego B
>>> 
>>> 
>>> _______________________________________________
>>> MEDIACTRL mailing list
>>> [email-masked]
>>> https://www1.ietf.org/mailman/listinfo/mediactrl
>>> Supplemental Web Site:
>>> http://www.standardstrack.com/ietf/mediactrl
>>>    
>> 
>> _______________________________________________________________________
>> Notice:  This email message, together with any attachments, may contain
>> information  of  BEA Systems,  Inc.,  its subsidiaries  and  affiliated
>> entities,  that may be confidential,  proprietary,  copyrighted  and/or
>> legally privileged, and is intended solely for the use of the individual
>> or entity named in this message. If you are not the intended recipient,
>> and have received this message in error, please immediately return this
>> by email and then delete it.
>>  
> 
> 
> 

_______________________________________________________________________
Notice:  This email message, together with any attachments, may contain
information  of  BEA Systems,  Inc.,  its subsidiaries  and  affiliated
entities,  that may be confidential,  proprietary,  copyrighted  and/or
legally privileged, and is intended solely for the use of the individual
or entity named in this message. If you are not the intended recipient,
and have received this message in error, please immediately return this
by email and then delete it.

_______________________________________________
MEDIACTRL mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mediactrl
Supplemental Web Site:
http://www.standardstrack.com/ietf/mediactrl

---

From: Diego B <[email-masked]>
Date: Thu, 22 Mar 2007 09:27:18 +0200

Thanks for the clarification.

Regards
Diego B

-- 
Diego B (:-:) MailVision Ltd.  
mailto:[email-masked] 
sip:[email-masked] 
http://www.mailvision.com